## cogl 1.22.4

=== debian/changelog ===
cogl (1.22.4-3) unstable; urgency=medium

  * Team upload
  * d/p/Terminate-tests-with-SIGALRM-if-they-take-more-than-120-s.patch:
    Kill individual tests with SIGALRM if they take more than 120 seconds
    (arbitrary cutoff taken from the Meson build system in Mutter's fork
    of cogl). This avoids failing to build even though failures are ignored,
    and blocking a buildd for 150 minutes, if the test hangs.
    (Closes: #935592)
  * d/p/tests-Show-the-actual-output-from-tests-if-VERBOSE-is-set.patch:
    Show the output of each test. Writing it to a file is not much use
    on buildds, because the build directory is discarded after the build
    finishes anyway.
  * d/control.in: Add missing -dev dependency on libxrandr-dev
  * d/rules: Don't run xvfb-run under nocheck build option
  * d/p/test-premult-Don-t-free-texture-data-until-CoglBitmap-is-.patch:
    Fix a use-after-free in test code, which appears to fix one of the
    known test failures
  * d/p/Don-t-usually-run-tests-that-are-not-expected-to-succeed.patch:
    Don't run tests that are not expected to succeed, unless requested
    by setting $COGL_TEST_TRY_EVERYTHING
  * Canonicalize order of dependencies (wrap-and-sort -a)
  * Canonicalize order of installed file lists (wrap-and-sort -a)
  * Canonicalize Uploaders (wrap-and-sort -a)

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Aug 2019 18:07:05 +0100

cogl (1.22.4-2) unstable; urgency=medium

  * Really include the symbol update...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 20:01:35 +0200

cogl (1.22.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - update the Standards-Version to 4.4.0.1
  * debian/control.in, debian/compat:
    - update to debhelper12
  * debian/patches/fix-undef-build-failure.patch:
    - remove, the change is in the new version
  * debian/libcogl20.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 15:46:36 +0200

cogl (1.22.2-6) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 18:43:13 -0500
