=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cogl
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>,
           Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               gnome-pkg-tools,
               gobject-introspection (>= 1.33.4-1~),
               gtk-doc-tools (>= 1.13),
               libcairo2-dev (>= 1.10),
               libgbm-dev [linux-any],
               libgdk-pixbuf2.0-dev (>= 2.0),
               libgirepository1.0-dev (>= 0.9.12),
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
               libglib2.0-dev (>= 2.32.0),
               libgstreamer-plugins-base1.0-dev,
               libpango1.0-dev (>= 1.28.3-5),
               libwayland-dev (>= 1.1.90) [linux-any],
               libxcomposite-dev (>= 1:0.4),
               libxdamage-dev,
               libxfixes-dev (>= 1:3),
               libxrandr-dev (>= 2:1.2),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.4.0.1
Vcs-Browser: https://salsa.debian.org/gnome-team/cogl
Vcs-Git: https://salsa.debian.org/gnome-team/cogl.git

Package: libcogl20
Architecture: any
Depends: libgl1 [!armel !armhf],
         libgles2 [armel armhf],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcogl-common
Suggests: libgl1,
          libgles2
Breaks: libclutter-1.0-0 (<< 1.17)
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.

Package: libcogl-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Object oriented GL/GLES Abstraction/Utility Layer (common files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the common files, such as translations.

Package: libcogl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-cogl-1.0 (= ${binary:Version}),
         libcairo2-dev,
         libcogl20 (= ${binary:Version}),
         libdrm-dev [!hurd-any],
         libgbm-dev [linux-any],
         libgdk-pixbuf2.0-dev (>= 2.0),
         libgl1-mesa-dev (>= 7.1~rc3-1~),
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev (>= 2.28.0),
         libwayland-dev [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxrandr-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files for libcogl.

Package: libcogl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Object oriented GL/GLES Abstraction/Utility Layer (documentation)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the documentation.

Package: gir1.2-cogl-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-cogl-2.0 (= ${binary:Version})
Multi-Arch: same
Description: GObject introspection data for the Cogl 1.0 library
 This package contains introspection data for the Clutter scene
 graph library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings for libcogl.

Package: libcogl-path20
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcogl-common
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.

Package: libcogl-path-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcogl-dev (= ${binary:Version}),
         libcogl-path20 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files for libcogl-path.

Package: libcogl-pango20
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcogl-common
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.

Package: libcogl-pango-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-coglpango-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.10),
         libcogl-dev (= ${binary:Version}),
         libcogl-pango20 (= ${binary:Version}),
         libdrm-dev [!hurd-any],
         libgdk-pixbuf2.0-dev (>= 2.0),
         libglib2.0-dev (>= 2.28.0),
         libpango1.0-dev (>= 1.20),
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files for libcogl-pango.

Package: gir1.2-coglpango-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-coglpango-2.0 (= ${binary:Version})
Multi-Arch: same
Description: GObject introspection data for the CoglPango 1.0 library
 This package contains introspection data for the Clutter scene
 graph library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings for libcogl-pango.

Package: libcogl-gles2-20
Architecture: any
Depends: libgl1 [!armel !armhf],
         libgles2 [armel armhf],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcogl-common
Suggests: libgl1,
          libgles2
Replaces: libcogl12 (<< 1.13.4-2)
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the GLES2 library.

Package: libcogl-gles2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcogl-dev (= ${binary:Version}),
         libcogl-gles2-20 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Breaks: libcogl-dev (<< 1.14.0-1)
Replaces: libcogl-dev (<< 1.14.0-1)
Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files for libcogl.

Package: libcogl-gst20
Architecture: any
Depends: libgstreamer-plugins-base1.0-0 (>= 1.2.3-1co2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libcogl-common
Multi-Arch: same
Description: Object oriented GL/GLES Abstraction/Utility Layer
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the GStreamer integration library, which provides
 a video sink to paint with cogl.

Package: libcogl-gst-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-coglgst-2.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.10),
         libcogl-dev (= ${binary:Version}),
         libcogl-gst20 (= ${binary:Version}),
         libdrm-dev [!hurd-any],
         libgdk-pixbuf2.0-dev (>= 2.0),
         libglib2.0-dev (>= 2.28.0),
         libgstreamer-plugins-base1.0-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libcogl-doc
Description: Object oriented GL/GLES Abstraction/Utility Layer (development file
 Cogl is a small open source library for using 3D graphics hardware to draw
 pretty pictures. The API departs from the flat state machine style of
 OpenGL and is designed to make it easy to write orthogonal components that
 can render without stepping on each others toes.
 .
 This package contains the development files for libcogl-gst.

Package: gir1.2-coglgst-2.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: GObject introspection data for the CoglGst 2.0 library
 This package contains introspection data for the Cogl GStreamer
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings for libcogl-gst.
