## cogl 1.22.6

=== debian/changelog ===
cogl (1.22.6-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * Refresh patch series
    - d/p/cogl-pango-2.0-experimental.pc-Reference-correct-library-.patch,
      d/p/gst-pango-Add-missing-pkg-config-dependencies.patch:
      Drop, applied upstream.
    - d/p/test-premult-Don-t-free-texture-data-until-CoglBitmap-is-.patch:
      Mark as having been applied upstream (since 1.22.6).
  * Set Rules-Requires-Root to no
  * Disable cogl-gst sub-library.
    It used to be a dependency for clutter-gst, but that dependency was
    removed in 2015, and it doesn't seem to be depended on by anything
    since at least buster. cogl is essentially unmaintained upstream, so the
    less of it we are trying to maintain in Debian, the better.
  * Disable cogl-gles2 sub-library.
    Nothing in Debian seems to depend on this since at least buster.
    Note that GLES2 support in the main cogl library continues to be built,
    and is still the default on 32-bit ARM.
  * Build-depend on libegl1-mesa-dev, for Mesa EGL extensions.
    Previously these were brought in by GStreamer.
  * Standards-Version: 4.5.0 (no changes required)

  [ Laurent Bigonville ]
  * debian/control.in: Add several -doc packages to the BDI so the links
    between the gtk-doc files are properly resolved, mark libcogl-doc with
    Build-Profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 16:49:35 +0100

cogl (1.22.4-4) unstable; urgency=medium

  * Team upload
  * Explicitly build-depend on libdrm-dev on Linux platforms.
    Presumably this was previously pulled in by some other dependency,
    but configure.ac checks for it so we should build-depend on it
    ourselves. (Closes: #952013)
  * Explicitly build-depend on libegl-dev, libx11-dev, libxext-dev
    for the same reason.
  * d/p/Fix-building-against-libglvnd-provided-EGL-headers.patch:
    Add patch from upstream merge request !17 to fix build when using
    libglvnd's EGL headers.
  * d/upstream/metadata: Add
  * Drop transition for old debug package migration.
    The -dbg packages were removed before Debian 9 'stretch' (oldstable).
  * d/copyright: Fix license name syntax for SGI-B-2.0.
    The file format does not allow spaces in license names, so use the
    SPDX identifier for this license, moving its formal name into the
    license text.
  * d/copyright: Make short license name for debian/* consistent with
    license grant
  * d/copyright: Add details of cut-down GLib in deps/.
    This is not actually used in the Debian package.
  * d/p/Normally-skip-tests-that-are-not-expected-to-succeed.patch:
    Rename from
    d/p/Don-t-usually-run-tests-that-are-not-expected-to-succeed.patch
    and amend to match what I sent upstream
  * d/p/Terminate-tests-with-SIGALRM-if-they-take-more-than-120-s.patch:
    Update to match what I sent upstream
  * d/p/test-premult-Don-t-free-texture-data-until-CoglBitmap-is-.patch:
    Mark as forwarded
  * d/p/tests-Use-tmp-file-to-dump-test-results.patch:
    Add patch from mutter's fork of cogl to write test logs to a temporary
    directory
  * d/p/tests-Show-the-actual-output-from-tests-if-VERBOSE-is-set.patch:
    Update to the version I sent upstream
  * d/tests/lib*-dev: Add superficial tests for the -dev packages
  * Move files from libcogl-path-dev into libcogl-dev.
    The new autopkgtests detected that libcogl-dev as configured by Debian
    is not actually usable without the <cogl-path/cogl-path.h> header,
    which is included by <cogl/cogl.h>. libcogl-path-dev is now an empty
    package that depends on libcogl-dev.
  * d/p/gst-pango-Add-missing-pkg-config-dependencies.patch:
    Add missing dependencies to the pkg-config files in libcogl-gst-dev
    and libcogl-pango-dev. These were detected by the new autopkgtests.
  * d/p/cogl-pango-2.0-experimental.pc-Reference-correct-library-.patch:
    Fix incorrect library name in cogl-pango-2.0-experimental pkg-config
    metadata. This was also detected by the new autopkgtests.
  * d/copyright: Update list of files under SGI-B-2.0 license
  * d/copyright: Refer to MIT/X11 license as "Expat".
    The machine-readable copyright file format recommends this name
    to distinguish Expat's version of the MIT/X11 license from other
    BSD-style licenses used by MIT and/or in X11.

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Feb 2020 11:39:47 +0000
