## cogl 1.22.8

=== debian/changelog ===
cogl (1.22.8-5) unstable; urgency=medium

  * Bump Standards Version to 4.7.0
  * Run wrap-and-sort
  * Stop using debian/control.in and gnome-pkg-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 10:05:17 -0500

cogl (1.22.8-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev.
    libgdk-pixbuf-2.0-dev has been available since bullseye.

  [ "won't fix" ]
  * Don't install unnecessary example file crate.jpg

  [ Jeremy Bícha ]
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Jun 2023 12:15:16 -0400

cogl (1.22.8-3) unstable; urgency=medium

  * Team upload
  * (Build-)Depend on libgl-dev instead of transitional libgl1-mesa-dev
  * (Build-)Depend on libgles-dev instead of transitional libgles2-mesa-dev
  * Standards-Version: 4.6.0 (no changes required)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    This is the default for current toolchains.
  * Bump debhelper compat level from 12 to 13.
    Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper
    now does this.
  * Add Lintian override for #970275

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Oct 2021 19:39:53 +0100

cogl (1.22.8-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Nov 2020 09:55:20 +0000

cogl (1.22.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Drop patches, applied upstream
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    Upstream developers are not going to support mixing binary packages
    of different versions from the same source package, and neither should
    we; they all migrate to testing as a unit anyway.

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Jun 2020 10:49:53 +0100
