=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: cogl
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>,
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Iain Lane <laney@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>,
            Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gobject-introspection (>= 1.33.4-1~),
                gtk-doc-tools (>= 1.13),
                libcairo2-dev (>= 1.10),
@@ -17,10 +17,10 @@
                libegl-dev,
                libegl1-mesa-dev,
                libgbm-dev [linux-any],
-               libgdk-pixbuf2.0-dev (>= 2.0),
+               libgdk-pixbuf-2.0-dev (>= 2.0),
                libgirepository1.0-dev (>= 0.9.12),
-               libgl1-mesa-dev (>= 7.1~rc3-1~),
-               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev (>= 2.32.0),
                libpango1.0-dev (>= 1.28.3-5),
                libwayland-dev (>= 1.1.90) [linux-any],
@@ -36,7 +36,7 @@
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/cogl
 Vcs-Git: https://salsa.debian.org/gnome-team/cogl.git
 
@@ -47,8 +47,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libcogl-common
-Suggests: libgl1,
-          libgles2
+Suggests: libgl1, libgles2
 Breaks: libclutter-1.0-0 (<< 1.17)
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -60,8 +59,7 @@
 Package: libcogl-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Object oriented GL/GLES Abstraction/Utility Layer (common files)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -80,9 +78,9 @@
          libcogl20 (= ${binary:Version}),
          libdrm-dev [!hurd-any],
          libgbm-dev [linux-any],
-         libgdk-pixbuf2.0-dev (>= 2.0),
-         libgl1-mesa-dev (>= 7.1~rc3-1~),
-         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
+         libgdk-pixbuf-2.0-dev (>= 2.0),
+         libgl-dev,
+         libgles-dev,
          libglib2.0-dev (>= 2.28.0),
          libwayland-dev [linux-any],
          libx11-dev,
@@ -95,7 +93,7 @@
          ${shlibs:Depends}
 Breaks: libcogl-path-dev (<< 1.22.4-4~)
 Replaces: libcogl-path-dev (<< 1.22.4-4~)
-Recommends: pkg-config
+Recommends: pkgconf
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -123,9 +121,7 @@
 Package: gir1.2-cogl-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: gir1.2-cogl-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: GObject introspection data for the Cogl 1.0 library
@@ -137,8 +133,7 @@
 
 Package: libcogl-path20
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcogl-common
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -151,10 +146,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcogl-dev (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: pkg-config
+Depends: libcogl-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: pkgconf
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -168,8 +161,7 @@
 
 Package: libcogl-pango20
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcogl-common
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -187,7 +179,7 @@
          libcogl-dev (= ${binary:Version}),
          libcogl-pango20 (= ${binary:Version}),
          libdrm-dev [!hurd-any],
-         libgdk-pixbuf2.0-dev (>= 2.0),
+         libgdk-pixbuf-2.0-dev (>= 2.0),
          libglib2.0-dev (>= 2.28.0),
          libpango1.0-dev (>= 1.20),
          libx11-dev,
@@ -197,7 +189,7 @@
          libxfixes-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -210,9 +202,7 @@
 Package: gir1.2-coglpango-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: gir1.2-coglpango-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: GObject introspection data for the CoglPango 1.0 library
