=== debian/tests/control ===
Tests: libcogl-dev
Depends: build-essential, libcogl-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Tests: libcogl-pango-dev
Depends: build-essential, libcogl-pango-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Tests: libcogl-path-dev
Depends: build-essential, libcogl-path-dev, xauth, xvfb
Restrictions: allow-stderr superficial
