## cogl 1.22.8.1

=== debian/changelog ===
cogl (1.22.8.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Tue, 14 Jun 2022 16:17:14 +0800

cogl (1.22.8.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Fri, 06 May 2022 18:07:48 +0800
