=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: cogl
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
-           Iain Lane <laney@debian.org>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
-           Laurent Bigonville <bigon@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>,
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>,
            Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gir,
+               gnome-pkg-tools,
                gobject-introspection (>= 1.33.4-1~),
                gtk-doc-tools (>= 1.13),
                libcairo2-dev (>= 1.10),
@@ -17,7 +17,7 @@
                libegl-dev,
                libegl1-mesa-dev,
                libgbm-dev [linux-any],
-               libgdk-pixbuf-2.0-dev (>= 2.0),
+               libgdk-pixbuf-2.0-dev (>= 2.0) | libgdk-pixbuf2.0-dev (>= 2.0),
                libgirepository1.0-dev (>= 0.9.12),
                libgl-dev,
                libgles-dev,
@@ -36,7 +36,7 @@
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/cogl
 Vcs-Git: https://salsa.debian.org/gnome-team/cogl.git
 
@@ -47,7 +47,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libcogl-common
-Suggests: libgl1, libgles2
+Suggests: libgl1,
+          libgles2
 Breaks: libclutter-1.0-0 (<< 1.17)
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -59,7 +60,8 @@
 Package: libcogl-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Object oriented GL/GLES Abstraction/Utility Layer (common files)
  Cogl is a small open source library for using 3D graphics hardware to draw
  pretty pictures. The API departs from the flat state machine style of
@@ -78,7 +80,7 @@
          libcogl20 (= ${binary:Version}),
          libdrm-dev [!hurd-any],
          libgbm-dev [linux-any],
-         libgdk-pixbuf-2.0-dev (>= 2.0),
+         libgdk-pixbuf-2.0-dev (>= 2.0) | libgdk-pixbuf2.0-dev (>= 2.0),
          libgl-dev,
          libgles-dev,
          libglib2.0-dev (>= 2.28.0),
@@ -93,7 +95,7 @@
          ${shlibs:Depends}
 Breaks: libcogl-path-dev (<< 1.22.4-4~)
 Replaces: libcogl-path-dev (<< 1.22.4-4~)
-Recommends: pkgconf
+Recommends: pkg-config
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -121,7 +123,9 @@
 Package: gir1.2-cogl-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: gir1.2-cogl-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: GObject introspection data for the Cogl 1.0 library
@@ -133,7 +137,8 @@
 
 Package: libcogl-path20
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libcogl-common
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -146,8 +151,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcogl-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: pkgconf
+Depends: libcogl-dev (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: pkg-config
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -161,7 +168,8 @@
 
 Package: libcogl-pango20
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libcogl-common
 Multi-Arch: same
 Description: Object oriented GL/GLES Abstraction/Utility Layer
@@ -179,7 +187,7 @@
          libcogl-dev (= ${binary:Version}),
          libcogl-pango20 (= ${binary:Version}),
          libdrm-dev [!hurd-any],
-         libgdk-pixbuf-2.0-dev (>= 2.0),
+         libgdk-pixbuf-2.0-dev (>= 2.0) | libgdk-pixbuf2.0-dev (>= 2.0),
          libglib2.0-dev (>= 2.28.0),
          libpango1.0-dev (>= 1.20),
          libx11-dev,
@@ -189,7 +197,7 @@
          libxfixes-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: pkgconf
+Recommends: pkg-config
 Suggests: libcogl-doc
 Description: Object oriented GL/GLES Abstraction/Utility Layer (development files)
  Cogl is a small open source library for using 3D graphics hardware to draw
@@ -202,7 +210,9 @@
 Package: gir1.2-coglpango-1.0
 Section: introspection
 Architecture: any
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: gir1.2-coglpango-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: GObject introspection data for the CoglPango 1.0 library
